import { exp2 } from "../../exp2.js";

/**
 *
 * Optimized variant (presented by Epic at SIGGRAPH '13)
 * https://cdn2.unrealengine.com/Resources/files/2013SiggraphPresentationsNotes-26915738.pdf
 * @param {number} dotVH
 * @return {number}
 */
export function fresnel_Schlick_optimized(dotVH) {
    return exp2((-5.55473 * dotVH - 6.98316) * dotVH);
}